Bug 88746

Summary: [Form] Replace InputNumber type to Decimal type and drop InputNumber
Product: WebKit Reporter: yosin
Component: FormsAssignee: yosin
Status: RESOLVED FIXED    
Severity: Normal CC: tkent, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 80009    
Attachments:
Description Flags
Patch 1
none
Patch 2
none
Patch 3 none

Description yosin 2012-06-10 20:38:45 PDT
We introduced InputNumber as alias of double and Decimal type for reducing patch size.
Now, both decimal arithmetic and integration into input type is landed.
There is no reason to have InputNumber type.

This is the final step of introducing decimal arithmetic for input type number and range.
Comment 1 yosin 2012-06-10 21:24:02 PDT
Created attachment 146777 [details]
Patch 1
Comment 2 yosin 2012-06-10 21:25:15 PDT
Comment on attachment 146777 [details]
Patch 1

Could you review this patch?
Thanks in advance.

* Local build on CR-Linux with enable all input types
* This patch is almost mechanical change.
Comment 3 Kent Tamura 2012-06-13 21:29:31 PDT
Comment on attachment 146777 [details]
Patch 1

View in context: https://bugs.webkit.org/attachment.cgi?id=146777&action=review

> Source/WebCore/ChangeLog:4
>  2012-06-10  Yoshifumi Inoue  <yosin@chromium.org>
>  
> +        [Form] Replace InputNumber type to Decimal type and drop InputNumber
> +        https://bugs.webkit.org/show_bug.cgi?id=88746

A ChangeLog diff should start at the beginning of the file.
Comment 4 yosin 2012-06-13 22:49:07 PDT
Created attachment 147490 [details]
Patch 2
Comment 5 WebKit Review Bot 2012-06-14 02:45:22 PDT
Comment on attachment 147490 [details]
Patch 2

Rejecting attachment 147490 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

ERROR: /mnt/git/webkit-commit-queue/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/12953497
Comment 6 yosin 2012-06-14 02:57:20 PDT
Created attachment 147538 [details]
Patch 3
Comment 7 WebKit Review Bot 2012-06-14 04:54:01 PDT
Comment on attachment 147538 [details]
Patch 3

Clearing flags on attachment: 147538

Committed r120313: <http://trac.webkit.org/changeset/120313>
Comment 8 WebKit Review Bot 2012-06-14 04:54:06 PDT
All reviewed patches have been landed.  Closing bug.